Retrieve a delta
Returns validated hours that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-hours-to-validate.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the validated hours record. |
person.id |
integer | — | Read-only | Internal ID of the person the validated hours belong to. |
date |
string | — | Read-only | Date the validated hours are registered on (YYYY-MM-DD). |
startTimeInMinutes |
integer | — | Read-only | Start time of the validated hours (minutes since midnight). |
endTimeInMinutes |
integer | — | Read-only | End time of the validated hours (minutes since midnight). |
durationInMinutes |
integer | — | Read-only | Duration of the validated hours, in minutes. |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax, unknown filter field, or a person filter combined with delta |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
Examples
Delta with date filter
Example with a start date:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours?delta&filter=date ge '2025-01-01'
Delta with date range filter
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours?delta&filter=date ge '2025-01-01' and date le '2025-12-31'